<?php 

/**
 * SharedController Controller
 * @category  Controller / Model
 */
class SharedController extends BaseController{
	
	/**
     * items_supid_option_list Model Action
     * @return array
     */
	function items_supid_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT id AS value,supplier AS label FROM suppliers";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * merch_supp_suppid_option_list Model Action
     * @return array
     */
	function merch_supp_suppid_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT id AS value,supplier AS label FROM suppliers";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * merch_supp_merchid_option_list Model Action
     * @return array
     */
	function merch_supp_merchid_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT id AS value,merchant AS label FROM merchants";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * getcount_items Model Action
     * @return Value
     */
	function getcount_items(){
		$db = $this->GetModel();
		$sqltext = "SELECT COUNT(*) AS num FROM items";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * getcount_merchants Model Action
     * @return Value
     */
	function getcount_merchants(){
		$db = $this->GetModel();
		$sqltext = "SELECT COUNT(*) AS num FROM merchants";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * getcount_suppliers Model Action
     * @return Value
     */
	function getcount_suppliers(){
		$db = $this->GetModel();
		$sqltext = "SELECT COUNT(*) AS num FROM suppliers";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

}
